# Name

HPL_dscal x = alpha * x.

# Synopsis

`#include "hpl.h"`
`void` `HPL_dscal(` `const int` `N`, `const double` `ALPHA`, `double *` `X`, `const int` `INCX` `);`

# Description

HPL_dscal scales the vector x by alpha.

# Arguments

    N       (local input)                 const int
            On entry, N specifies the length of the vector x. N  must  be
            at least zero.

    ALPHA   (local input)                 const double
            On entry, ALPHA specifies the scalar alpha.   When  ALPHA  is
            supplied as zero, then the entries of the incremented array X
            need not be set on input.

    X       (local input/output)          double *
            On entry,  X  is an incremented array of dimension  at  least
            ( 1 + ( n - 1 ) * abs( INCX ) )  that  contains the vector x.
            On exit, the entries of the incremented array  X  are  scaled
            by the scalar alpha.

    INCX    (local input)                 const int
            On entry, INCX specifies the increment for the elements of X.
            INCX must not be zero.

# Example

`#include "hpl.h"`

    int main(int argc, char *argv[])
    {
       double x[3];
       x[0] = 1.0; x[1] = 2.0; x[2] = 3.0;
       HPL_dscal( 3, 2.0, x, 1 );
       printf("x=[%f,%f,%f]\n", x[0], x[1], x[2]);
       exit(0); return(0);
    }

# See Also

HPL_daxpy, HPL_dcopy, HPL_dswap.